Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.request
Interface StepRequest

All Superinterfaces:
  EventRequest, Mirror

public interface StepRequest
extends EventRequest

Request for notification when a step occurs in the target VM. When an enabled StepRequest is satisfied, an `event set` containing a `StepEvent` will be placed on the `EventQueue`. The collection of existing StepRequests is managed by the `EventRequestManager`

Since:
  1.3
See Also:
  `StepEvent`, `EventQueue`, `EventRequestManager`

Field Summary
`static int` | `STEP_INTO` Step into any newly pushed frames
`static int` | `STEP_LINE` Step to the next location on a different line
`static int` | `STEP_MIN` Step to the next available location
`static int` | `STEP_OUT` Step out of the current frame
`static int` | `STEP_OVER` Step over any newly pushed frames

Fields inherited from interface com.sun.jdi.request.EventRequest
`SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

Method Summary
`void` | `addClassExclusionFilter(String classPattern)` Restricts the events generated by this request to those whose location is in a class whose name does not match a restricted regular expression.
`void` | `addClassFilter(ReferenceType refType)` Restricts the events generated by this request to those whose location is in the given reference type or any of its subtypes.
`void` | `addClassFilter(String classPattern)` Restricts the events generated by this request to those whose location is in a class whose name matches a restricted regular expression.
`int` | `depth()`
`int` | `size()`
`ThreadReference` | `thread()`

Methods inherited from interface com.sun.jdi.request.EventRequest
`addCountFilter, disable, enable, getProperty, isEnabled, putProperty, setEnabled, setSuspendPolicy, suspendPolicy`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Field Detail

### STEP_INTO

    public static final int STEP_INTO

  Step into any newly pushed frames

### STEP_OVER

    public static final int STEP_OVER

  Step over any newly pushed frames

### STEP_OUT

    public static final int STEP_OUT

  Step out of the current frame

### STEP_MIN

    public static final int STEP_MIN

  Step to the next available location

### STEP_LINE

    public static final int STEP_LINE

  Step to the next location on a different line

Method Detail

### thread

    public ThreadReference thread()

  Returns:
    the thread on which the step event is being requested.

### size

    public int size()

  Returns:
    the step size

### depth

    public int depth()

  Returns:
    the step depth

### addClassFilter

    public void addClassFilter(ReferenceType refType)

  Restricts the events generated by this request to those whose location is in the given reference type or any of its subtypes. An event will be generated for any location in a reference type that can be safely cast to the given reference type.
  Parameters:
    `refType` - the reference type to filter on.
  Throws:
    `InvalidRequestStateException` - if this request is currently enabled. Filters may be added only to disabled requests.

### addClassFilter

    public void addClassFilter(String classPattern)

  Restricts the events generated by this request to those whose location is in a class whose name matches a restricted regular expression. Regular expressions are limited to exact matches and patterns that begin with '*' or end with '*'; for example, "*.Foo" or "java.*".
  Parameters:
    `classPattern` - the pattern String to filter for.
  Throws:
    `VMMismatchException` - if a `Mirror` argument and this mirror do not belong to the same `VirtualMachine`.
    `InvalidRequestStateException` - if this request is currently enabled. Filters may be added only to disabled requests.

### addClassExclusionFilter

    public void addClassExclusionFilter(String classPattern)

  Restricts the events generated by this request to those whose location is in a class whose name does not match a restricted regular expression. Regular expressions are limited to exact matches and patterns that begin with '*' or end with '*'; for example, "*.Foo" or "java.*".
  Parameters:
    `classPattern` - the pattern String to filter against.
  Throws:
    `InvalidRequestStateException` - if this request is currently enabled. Filters may be added only to disabled requests.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD